package com.ruoyi.project.configuration.service.impl;

import com.ruoyi.project.configuration.domain.TMatterProtect;
import com.ruoyi.project.configuration.mapper.TMatterProtectMapper;
import com.ruoyi.project.configuration.service.ITMatterProtectService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 危害物质-防护用品Service业务层处理
 *
 * @author ruoyi
 * @date 2021-12-28
 */
@Service
public class TMatterProtectServiceImpl implements ITMatterProtectService {

    @Resource
    private TMatterProtectMapper tMatterProtectMapper;

    @Override
    public List<TMatterProtect> queryByIds(String[] ids) {
        return this.tMatterProtectMapper.queryByIds(ids);
    }

    /**
     * 查询危害物质-防护用品
     *
     * @param id 危害物质-防护用品ID
     * @return 危害物质-防护用品
     */
    @Override
    public TMatterProtect selectTMatterProtectById(Long id) {
        return tMatterProtectMapper.selectTMatterProtectById(id);
    }

    /**
     * 查询危害物质-防护用品列表
     *
     * @param tMatterProtect 危害物质-防护用品
     * @return 危害物质-防护用品
     */
    @Override
    public List<TMatterProtect> selectTMatterProtectList(TMatterProtect tMatterProtect) {
        return tMatterProtectMapper.selectTMatterProtectList(tMatterProtect);
    }

    /**
     * 新增危害物质-防护用品
     *
     * @param tMatterProtect 危害物质-防护用品
     * @return 结果
     */
    @Override
    public int insertTMatterProtect(TMatterProtect tMatterProtect) {
        return tMatterProtectMapper.insertTMatterProtect(tMatterProtect);
    }

    /**
     * 修改危害物质-防护用品
     *
     * @param tMatterProtect 危害物质-防护用品
     * @return 结果
     */
    @Override
    public int updateTMatterProtect(TMatterProtect tMatterProtect) {
        return tMatterProtectMapper.updateTMatterProtect(tMatterProtect);
    }

    /**
     * 批量删除危害物质-防护用品
     *
     * @param ids 需要删除的危害物质-防护用品ID
     * @return 结果
     */
    @Override
    public int deleteTMatterProtectByIds(Long[] ids) {
        return tMatterProtectMapper.deleteTMatterProtectByIds(ids);
    }

    /**
     * 删除危害物质-防护用品信息
     *
     * @param id 危害物质-防护用品ID
     * @return 结果
     */
    @Override
    public int deleteTMatterProtectById(Long id) {
        return tMatterProtectMapper.deleteTMatterProtectById(id);
    }
}
